Bug 434744 - Xorg fails on any keypress with XkbVariant equals to winkeys
Xorg fails on any keypress with XkbVariant equals to winkeys
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-keyboard (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-25 03:11 EST by Gennadi Sushko
Modified: 2008-10-20 17:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-20 17:24:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (912 bytes, text/plain)
2008-02-25 03:11 EST, Gennadi Sushko
no flags Details
Xorg.0.log (46.65 KB, text/plain)
2008-02-25 12:06 EST, Matěj Cepl
no flags Details

  None (edit)
Description Gennadi Sushko 2008-02-25 03:11:54 EST
Description of problem:
Xorg fails on any keypress with XkbVariant equals to winkeys(in xorg.conf) and 
malfuntions without it(not all keys are working properly e.g. keyup -> 
printscreen and so on).

Version-Release number of selected component (if applicable):
xorg-x11-drv-keyboard-1.2.2-4.fc9.i386
xorg-x11-server-common-1.4.99.1-0.23.20080222.fc9.i386
xorg-x11-server-Xorg-1.4.99.1-0.23.20080222.fc9.i386
xkeyboard-config-1.2-1.fc9.noarch

How reproducible:
Update to this versions and set apropriate xorg.conf

Actual results:
Xorg fails on any input from keyboard(mouse is ok)

Additional info:
Keyboard is chicony internet keyboard, tried model pc105 and chicony
Comment 1 Gennadi Sushko 2008-02-25 03:11:54 EST
Created attachment 295772 [details]
xorg.conf
Comment 2 Matěj Cepl 2008-02-25 12:06:18 EST
Created attachment 295815 [details]
Xorg.0.log

Actually, I have something similar myself, but for me Xserver is so screwed up
that I cannot it test it much.
Comment 3 Bug Zapper 2008-05-14 01:37:20 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Peter Hutterer 2008-07-18 01:16:17 EDT
Works for me, seems to be fixed. Can you please verify this?
Comment 5 Matěj Cepl 2008-07-18 06:49:27 EDT
Gennadi, does you Xorg still fails with the upgraded F9 (or Rawhide)?
Comment 6 Matěj Cepl 2008-09-11 18:50:46 EDT
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 7 Matěj Cepl 2008-10-20 17:24:30 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.